Bug 270054 - The Wikipedia applet doesn't exploit the disambiguation feature of the Wikipedia search
Summary: The Wikipedia applet doesn't exploit the disambiguation feature of the Wikipe...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Context View/Wikipedia (show other bugs)
Version: 2.4-GIT
Platform: Debian stable Linux
: NOR wishlist with 5 votes (vote)
Target Milestone: 2.4.1
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-04 03:03 UTC by Alessandro Cosentino
Modified: 2011-11-29 15:15 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.5.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alessandro Cosentino 2011-04-04 03:03:21 UTC
Version:           2.4-GIT (using KDE 4.4.5) 
OS:                Linux

I was playing the song Lotus Flower by Radiohead and I checked the Wikipedia applet looking for more infos about the song. Even though a Wikipedia page of the song exists [http://en.wikipedia.org/wiki/Lotus_Flower_(song)], the Wikipedia applet in Amarok showed the page about the actual flower. 
The same happens if you are listening a song from Lotusflower by Prince :)

Reproducible: Always

Steps to Reproduce:
Play a song whose title has also a generic meaning

Actual Results:  
You get the Wikipedia page of the generic meaning of the words in the song title, not the page of the song, even though the latter exists.

Expected Results:  
The applet should give priority to the Wikipedia page related to the song/album/artist in case it exists, rather than the page related to the generic meaning of the word used as title of the song.

OS: Linux (x86_64) release 2.6.32-5-amd64
Compiler: cc
Comment 1 Sven Krohlas 2011-11-29 15:15:48 UTC
Git commit 76a59f65cf71802f863713fe6386501c4f711337 by Sven Krohlas.
Committed on 29/11/2011 at 16:12.
Pushed by krohlas into branch 'master'.

Correctly parse disambiguation pages for songs in the English Wikipedia

The regexp looks wrong, I gues it didn't work at all before...

BUG:270054
FIXED-IN:2.5.0

M  +1    -0    ChangeLog
M  +1    -1    src/context/engines/wikipedia/WikipediaEngine.cpp

http://commits.kde.org/amarok/76a59f65cf71802f863713fe6386501c4f711337